local data = UpgradesTweakData._init_pd2_values
function UpgradesTweakData:_init_pd2_values()
	data(self, tweak_data)

	self.values.player.passive_health_multiplier = {
	1.1,
	1.2,
	1.4,
	1.8, -- from perk muscle 
	1, -- workaround number 5
	1.30 -- juggernog lvl2
	}


	self.values.player.passive_health_regen = {
	0.03, -- from perk muscle
	0, -- workaround
	0,
	0,
	0, -- workaround muscle
	0.005, --medit lvl
	0.012 -- lv2
	}


	self.values.player.killshot_regen_armor_bonus = {
	3,
	0, -- this is a workaround because if you use this value don't work Number 2 so you need to start
	0, -- 
	1.5 -- deadshot kill
	}

	self.values.player.killshot_close_regen_armor_bonus = {
	3,
	0,
	1 -- Guy 
	}


	self.values.player.killshot_close_panic_chance = {	
	0.75, 
	0,
	0.10, -- Frigh
	0.30
	}


	self.values.player.armor_multiplier = {
	1.3,  -- Iron man
	1, -- workaround
	0.05, -- nerd1
	0.05 -- nerd2
	}

	self.values.player.damage_to_hot = {
	0.1,
	0.2,
	0.3,
	0.4, -- Grinder
	0, -- Workaround N5
	0.05, -- nerdyskill
 	0.15 -- N7 HP regen 1.00 = 10
	}
	
	self.values.player.tier_armor_multiplier = {
	1.05, -- from perk crew chief
	1,
	1.1,
	1.2,
	1.3,
	1.35, -- from perk armorer
	1, -- workaround
    	1.15 -- Skill           
	}

	
	self.values.player.armor_increase = {
	1,
	1.1,
	1.2, --from  perk Anarchist
	0,
	0.06, --work bulletproof
	0.18
	}

	self.values.player.health_decrease = {
	0.50, --from  perk Anarchist
	0.50,
	0.50
	}

	self.values.player.respawn_time_multiplier = {1, 0.50}

	self.values.player.melee_kill_life_leech = {0.20, 0, 0.05 }
	self.values.player.crouch_dodge_chance = {0.1, 0.05, 0.05, 0, 0.05, 0.15 }
	self.values.player.damage_shake_multiplier = {1, 1, 0.65}
	self.values.player.walk_speed_multiplier = {1, 1, 1.10, 1.25}

	self.values.player.stamina_multiplier = {1.5}
	self.values.player.stamina_regen_timer_multiplier = {1, 0}

	self.values.player.fall_damage_multiplier = {0.25, 0}

	self.values.player.tier_dodge_chance = {
	0, -- from perk burglar
	0.10,
	0.05,
	0,
	0.05,
	0.15
	}

	self.values.player.critical_hit_chance = {
	0.25,
	0.5,
	0.1
	}

-- Weapons Skills

	--shotgun
	self.values.shotgun.extra_ammo_multiplier = {1.05, 1.15}
	self.values.shotgun.spread_index_addend = {2, 4}

	--Pistol
	self.values.pistol.extra_ammo_multiplier = {1.05, 1.15}
	self.values.pistol.recoil_index_addend = {2,4}

	--Assault Rifle
	self.values.assault_rifle.fire_rate_multiplier = {1.15, 1.45}
	self.values.assault_rifle.damage_multiplier = {1.20}
	self.values.assault_rifle.extra_ammo_multiplier = {1.05, 1.15}
	self.values.assault_rifle.swap_speed_multiplier = {1.33, 1.66}
	self.values.assault_rifle.damage_addend = {1.05}
	self.values.assault_rifle.spread_index_addend = {2,4}
	self.values.assault_rifle.recoil_index_addend = {2,4}

	--akimbo
	self.values.akimbo.damage_multiplier = {1.20}
	self.values.akimbo.swap_speed_multiplier = {1.33, 1.66}
	self.values.akimbo.damage_addend = {1.05}
	self.values.akimbo.spread_index_addend = {2,5}

	--Sniper Riffle
	self.values.snp.fire_rate_multiplier = {1.15, 1.45}
	self.values.snp.damage_multiplier = {1.20}
	self.values.snp.extra_ammo_multiplier = {1.05, 1.15}
	self.values.snp.swap_speed_multiplier = {1.33, 1.66}
	self.values.snp.damage_addend = {1.15}
	self.values.snp.spread_index_addend = {2,4}
	self.values.snp.recoil_index_addend = {2,4}
	
	--SMG
	self.values.smg.fire_rate_multiplier = {1.15, 1.45}
	self.values.smg.damage_multiplier = {1.20}
	self.values.smg.extra_ammo_multiplier = {1.05, 1.15}
	self.values.smg.swap_speed_multiplier = {1.33, 1.66}
	self.values.smg.damage_addend = {1.05}
	self.values.smg.spread_index_addend = {2,4}
	self.values.smg.recoil_index_addend = {2,4}

	-- LMGs
	self.values.lmg.fire_rate_multiplier = {1.15, 1.45}    
	self.values.lmg.damage_multiplier = {1.20}	
	self.values.lmg.extra_ammo_multiplier = {1.05, 1.15}
	self.values.lmg.swap_speed_multiplier = {1.33, 1.66}
	self.values.lmg.damage_addend = {1.05}
	self.values.lmg.spread_index_addend = {2,4}
	self.values.lmg.recoil_index_addend = {2,4}


     	--GL skills
	self.values.grenade_launcher = {} -- Workaround necessary for enable custom skill
	self.values.grenade_launcher.swap_speed_multiplier =   {1.33, 1.66} -- Swap sped Done
	self.values.grenade_launcher.reload_speed_multiplier = {1.25, 1.75} -- Reload speed 50% 100% -- Done
	self.values.grenade_launcher.fire_rate_multiplier =    {1.15,1.45} -- fire rate 50% 100%	--Done--
	self.values.grenade_launcher.extra_ammo_multiplier = {1.05, 1.15} 


end

local skills = UpgradesTweakData._player_definitions
function UpgradesTweakData:_player_definitions()
	skills(self, tweak_data)
	
		self.definitions.st1 = {
			category = "feature",
			name_id = "menu_player_stamina_multiplier",
			upgrade = {
				category = "player",
				upgrade = "stamina_multiplier",
				value = 1
		}}
		self.definitions.runbar = {
			category = "feature",
			name_id = "menu_player_stamina_regen_timer_multiplier",
			upgrade = {
				category = "player",
				upgrade = "stamina_regen_timer_multiplier",
				value = 2
			}
		}
		
		self.definitions.jug_buff1 = {
			category = "feature",
			name_id = "menu_player_passive_health_multiplier",
			upgrade = {
				category = "player",
				upgrade = "passive_health_multiplier",
				value = 6
		}}
		
		self.definitions.DeadS1 = {
		category = "feature",
		name_id = "menu_player_killshot_regen_armor_bonus",
		upgrade = {
			category = "player",
			upgrade = "killshot_regen_armor_bonus",
			value = 4}}

		self.definitions.GuyS1 = {
		category = "feature",
		name_id = "menu_player.killshot_close_regen_armor_bonus",
		upgrade = {
			category = "player",
			upgrade = "killshot_close_regen_armor_bonus",
			value = 3}}
		
		self.definitions.Flop1 = {
		category = "feature",
		name_id = "menu_player_fall_damage_multiplier",
		upgrade = {
			category = "player",
			upgrade = "fall_damage_multiplier",
			value = 1}}
		self.definitions.Flop2 = {
		category = "feature",
		name_id = "menu_player_fall_damage_multiplier",
		upgrade = {
			category = "player",
			upgrade = "fall_damage_multiplier",
			value = 2}}
		
-- Weapons Skills
	
		self.definitions.Assault_rifle_Rate_Boost_1 = {
		category = "feature",
		name_id = "menu_assault_rifle_fire_rate_multiplier_1",
		upgrade = {
			category = "assault_rifle",
			upgrade = "fire_rate_multiplier",
			value = 1
		}}
		self.definitions.Assault_rifle_Rate_Boost_2 = {
		category = "feature",
		name_id = "menu_assault_rifle_fire_rate_multiplier_1",
		upgrade = {
			category = "assault_rifle",
			upgrade = "fire_rate_multiplier",
			value = 2
		}}

		self.definitions.Assault_rifle_damage_boost_1 = {
		category = "feature",
		name_id = "menu_assault_rifle_damage_addend",
		upgrade = {
			category = "assault_rifle",
			upgrade = "damage_addend",
			value = 1
		}}

		self.definitions.Assault_rifle_damage_boost_2 = {
		category = "feature",
		name_id = "menu_assault_rifle_damage_multiplier",
		upgrade = {
			category = "assault_rifle",
			upgrade = "damage_multiplier",
			value = 1
		}}


		self.definitions.Snp_Rate_Boost_1 = {
		category = "feature",
		name_id = "menu_snp_fire_rate_multiplier_1",
		upgrade = {
			category = "snp",
			upgrade = "fire_rate_multiplier",
			value = 1
		}}
		self.definitions.Snp_Rate_Boost_2 = {
		category = "feature",
		name_id = "menu_snp_fire_rate_multiplier_1",
		upgrade = {
			category = "snp",
			upgrade = "fire_rate_multiplier",
			value = 2
		}}
	
		self.definitions.Snp_damage_boost_1 = {
		category = "feature",
		name_id = "menu_snp_damage_addend",
		upgrade = {
			category = "snp",
			upgrade = "damage_addend",
			value = 1
		}}

		self.definitions.Snp_damage_boost_2 = {
		category = "feature",
		name_id = "menu_snp_damage_multiplier",
		upgrade = {
			category = "snp",
			upgrade = "damage_multiplier",
			value = 1
		}}


		self.definitions.Smg_Rate_Boost_1 = {
		category = "feature",
		name_id = "menu_smg_fire_rate_multiplier_1",
		upgrade = {
			category = "smg",
			upgrade = "fire_rate_multiplier",
			value = 1
		}}
		self.definitions.Smg_Rate_Boost_2 = {
		category = "feature",
		name_id = "menu_smg_fire_rate_multiplier_1",
		upgrade = {
			category = "smg",
			upgrade = "fire_rate_multiplier",
			value = 2
		}}

		self.definitions.Smg_damage_boost_1 = {
		category = "feature",
		name_id = "menu_smg_damage_addend",
		upgrade = {
			category = "smg",
			upgrade = "damage_addend",
			value = 1
		}}

		self.definitions.Smg_damage_boost_2 = {
		category = "feature",
		name_id = "menu_smg_damage_multiplier",
		upgrade = {
			category = "smg",
			upgrade = "damage_multiplier",
			value = 1
		}}

		
	-- GL Skill tree skills

		self.definitions.grenade_launcher_ammo_multiplier = {
			category = "feature",
			name_id = "grenade_launcher_extra_ammo_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "extra_ammo_multiplier",
				value = 1
		}}

		self.definitions.grenade_launcher_reload_speed = {
			category = "feature",
			name_id = "grenade_launcher_reload_speed",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "reload_speed_multiplier",
				value = 1
		}}
		self.definitions.grenade_launcher_reload_speed2 = {
			category = "feature",
			name_id = "grenade_launcher_reload_speed",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "reload_speed_multiplier",
				value = 2
		}}

		self.definitions.grenade_launcher_firerate = {
			category = "feature",
			name_id = "grenade_launcher_firerate",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "fire_rate_multiplier",
				value = 1
		}}
		self.definitions.aced_grenade_launcher_firerate = {
			category = "feature",
			name_id = "grenade_launcher_firerate",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "fire_rate_multiplier",
				value = 2
		}}

		self.definitions.grenade_launcher_swap = {
			category = "feature",
			name_id = "grenade_launcher_swap_speed_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "swap_speed_multiplier",
				value = 1
		}}
		self.definitions.grenade_launcher2_swap = {
			category = "feature",
			name_id = "grenade_launcher_swap_speed_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "swap_speed_multiplier",
				value = 2
		}}
		
-- LMGs skilltree skills

		self.definitions.lmg_spread_index_addend = {
			category = "feature",
			name_id = "lmg_spread_addend",
			upgrade = {
				category = "lmg",
				upgrade = "spread_index_addend",
				value = 1
		}}

		self.definitions.aced_lmg_spread_index_addend = {
			category = "feature",
			name_id = "lmg_spread_addend",
			upgrade = {
				category = "lmg",
				upgrade = "spread_index_addend",
				value = 2
		}}

			self.definitions.lmg_firerate = {
			category = "feature",
			name_id = "lmg_firerate",
			upgrade = {
				category = "lmg",
				upgrade = "fire_rate_multiplier",
				value = 1
		}}
		self.definitions.aced_lmg_firerate = {
			category = "feature",
			name_id = "lmg_firerate",
			upgrade = {
				category = "lmg",
				upgrade = "fire_rate_multiplier",
				value = 2
		}}		
		self.definitions.lmg_damage1_multiplier = {
			category = "feature",
			name_id = "lmg_damage_addend",
			upgrade = {
				category = "lmg",
				upgrade = "damage_addend",
				value = 1
		}}


		self.definitions.lmg_damage2_multiplier = {
			category = "feature",
			name_id = "lmg_damage_multiplier",
			upgrade = {
				category = "lmg",
				upgrade = "damage_multiplier",
				value = 1
			}}


		self.definitions.lmg_ammo_multiplier = {
			category = "feature",
			name_id = "lmg_extra_ammo_multiplier",
			upgrade = {
				category = "lmg",
				upgrade = "extra_ammo_multiplier",
				value = 1
			}}

-- Skills


	self.definitions.frenz1 = {
		category = "feature",
		name_id = "menu_player_max_health_reduction",
		upgrade = {
			category = "player",
			upgrade = "max_health_reduction",
			value = 4
		}}
	self.definitions.frenz2 = {
		category = "feature",
		name_id = "menu_player_max_health_reduction",
		upgrade = {
			category = "player",
			upgrade = "max_health_reduction",
			value = 5
		}}

	self.definitions.bulletproof1arm = {
		category = "feature",
		name_id = "menu_player.armor_increase",
		upgrade = {
			category = "player",
			upgrade = "armor_increase",
			value = 5
		}}

	self.definitions.bulletproof2arm = {
		category = "feature",
		name_id = "menu_player.armor_increase",
		upgrade = {
			category = "player",
			upgrade = "armor_increase",
			value = 6
		}}

		self.definitions.medit1 = {
		category = "temporary",
		name_id = "menu_player_passive_health_regen",
		upgrade = {
			category = "player",
			upgrade = "passive_health_regen",
			value = 6}}

		self.definitions.medit2 = {
		category = "temporary",
		name_id = "menu_player_passive_health_regen",
		upgrade = {
			category = "player",
			upgrade = "passive_health_regen",
			value = 7}}

		self.definitions.Armor1 = {
		category = "feature",
		name_id = "menu_player_tier_armor_multiplier",
		upgrade = {
			category = "player",
			upgrade = "tier_armor_multiplier",
			value = 8}}

-- Weapons Skills

		self.definitions.smg_ammo_multiplier = {
			category = "feature",
			name_id = "smg_extra_ammo_multiplier",
			upgrade = {
				category = "smg",
				upgrade = "extra_ammo_multiplier",
				value = 1
		}}
		self.definitions.snp_ammo_multiplier = {
			category = "feature",
			name_id = "snp_extra_ammo_multiplier",
			upgrade = {
				category = "snp",
				upgrade = "extra_ammo_multiplier",
				value = 1
		}}
		self.definitions.assault_rifle_ammo_multiplier = {
			category = "feature",
			name_id = "assault_rifle_extra_ammo_multiplier",
			upgrade = {
				category = "assault_rifle",
				upgrade = "extra_ammo_multiplier",
				value = 1
		}}


-- face Skills

		self.definitions.respawntime = {
		category = "feature",
		name_id = "menu_player_respawn_time_multiplier",
		upgrade = {
			category = "player",
			upgrade = "respawn_time_multiplier",
			value = 2
		}}

		self.definitions.shieldknock = {
			category = "feature",
			name_id = "menu_player.shield_knock",
			upgrade = {
				category = "player",
				upgrade = "shield_knock",
				value = 2
		}}


		self.definitions.crouchspeed = {
			category = "feature",
			name_id = "menu_player_crouch_speed_multiplier",
			upgrade = {
				category = "player",
				upgrade = "crouch_speed_multiplier",
				value = 3
		}}
		self.definitions.crouchspeed2 = {
			category = "feature",
			name_id = "menu_player_crouch_speed_multiplier",
			upgrade = {
				category = "player",
				upgrade = "crouch_speed_multiplier",
				value = 4
		}}

		self.definitions.crouchdodge = {
			category = "feature",
			name_id = "menu_player_crouch_dodge_chance",
			upgrade = {
				category = "player",
				upgrade = "crouch_dodge_chance",
				value = 5
		}}
		self.definitions.crouchdodge2 = {
			category = "feature",
			name_id = "menu_player_crouch_dodge_chance",
			upgrade = {
				category = "player",
				upgrade = "crouch_dodge_chance",
				value = 6
		}}

		self.definitions.shake = {
			category = "feature",
			name_id = "menu_player.damage_shake_multiplier",
			upgrade = {
				category = "player",
				upgrade = "damage_shake_multiplier",
				value = 3
		}}

		self.definitions.klife = {
		category = "feature",
		name_id = "menu_player.melee_kill_life_leech",
		upgrade = {
			category = "player",
			upgrade = "melee_kill_life_leech",
			value = 3
		}}
		self.definitions.kpanic = {
		category = "feature",
		name_id = "menu_player.killshot_close_panic_chance",
		upgrade = {
			category = "player",
			upgrade = "killshot_close_panic_chance",
			value = 3
		}}
		self.definitions.kpanic2 = {
		category = "feature",
		name_id = "menu_player.killshot_close_panic_chance",
		upgrade = {
			category = "player",
			upgrade = "killshot_close_panic_chance",
			value = 4
		}}

-- Weapons Skills

		self.definitions.smg2_ammo_multiplier = {
			category = "feature",
			name_id = "smg_extra_ammo_multiplier",
			upgrade = {
				category = "smg",
				upgrade = "extra_ammo_multiplier",
				value = 2
		}}
		self.definitions.snp2_ammo_multiplier = {
			category = "feature",
			name_id = "snp_extra_ammo_multiplier",
			upgrade = {
				category = "snp",
				upgrade = "extra_ammo_multiplier",
				value = 2
		}}
		self.definitions.assault_rifle2_ammo_multiplier = {
			category = "feature",
			name_id = "assault_rifle_extra_ammo_multiplier",
			upgrade = {
				category = "assault_rifle",
				upgrade = "extra_ammo_multiplier",
				value = 2
		}}
		self.definitions.grenade_launcher2_ammo_multiplier = {
			category = "feature",
			name_id = "grenade_launcher_extra_ammo_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "extra_ammo_multiplier",
				value = 2
		}}
		self.definitions.lmg2_ammo_multiplier = {
			category = "feature",
			name_id = "lmg_extra_ammo_multiplier",
			upgrade = {
				category = "lmg",
				upgrade = "extra_ammo_multiplier",
				value = 2
			}}

		self.definitions.shotgun1_ammo_multiplier = {
			category = "feature",
			name_id = "shotgun_extra_ammo_multiplier",
			upgrade = {
				category = "shotgun",
				upgrade = "extra_ammo_multiplier",
				value = 1
		}}
		self.definitions.shotgun2_ammo_multiplier = {
			category = "feature",
			name_id = "shotgun_extra_ammo_multiplier",
			upgrade = {
				category = "shotgun",
				upgrade = "extra_ammo_multiplier",
				value = 2
		}}

		self.definitions.pistol1_ammo_multiplier = {
			category = "feature",
			name_id = "pistol_extra_ammo_multiplier",
			upgrade = {
				category = "pistol",
				upgrade = "extra_ammo_multiplier",
				value = 1
		}}
		self.definitions.pistol2_ammo_multiplier = {
			category = "feature",
			name_id = "pistol_extra_ammo_multiplier",
			upgrade = {
				category = "pistol",
				upgrade = "extra_ammo_multiplier",
				value = 2
		}}

-- Skills

		self.definitions.Who3who = {
		category = "feature",
		name_id = "menu_player_convert_enemies_max_minions_3",
		upgrade = {
			category = "player",
			upgrade = "convert_enemies_max_minions",
			value = 4
		}}

	self.definitions.AnarchHeal = {
		category = "feature",
		name_id = "menu_player.health_decrease",
		upgrade = {
			category = "player",
			upgrade = "health_decrease",
			value = 1
		}}
	self.definitions.AnarchHeal2 = {
		category = "feature",
		name_id = "menu_player.health_decrease",
		upgrade = {
			category = "player",
			upgrade = "health_decrease",
			value = 2
		}}

	self.definitions.dodjetier1 = {
		category = "feature",
		incremental = false,
		name_id = "menu_player.tier_dodge_chance",
		upgrade = {
			category = "player",
			upgrade = "tier_dodge_chance",
			value = 5
		}}
	self.definitions.dodjetier2 = {
		category = "feature",
		incremental = false,
		name_id = "menu_player.tier_dodge_chance",
		upgrade = {
			category = "player",
			upgrade = "tier_dodge_chance",
			value = 6
		}}

		self.definitions.spwalk = {
		category = "feature",
		name_id = "menu_player.walk_speed_multiplier",
		upgrade = {
			category = "player",
			upgrade = "walk_speed_multiplier",
			value = 3
		}}
		self.definitions.spwalk2 = {
		category = "feature",
		name_id = "menu_player.walk_speed_multiplier",
		upgrade = {
			category = "player",
			upgrade = "walk_speed_multiplier",
			value = 4
		}}

-- Weapons Swap

	self.definitions.assault_rifle_swap = {
			category = "feature",
			name_id = "assault_rifle.swap_speed_multiplier",
			upgrade = {
				category = "assault_rifle",
				upgrade = "swap_speed_multiplier",
				value = 1
		}}
	self.definitions.assault_rifle2_swap = {
			category = "feature",
			name_id = "assault_rifle.swap_speed_multiplier",
			upgrade = {
				category = "assault_rifle",
				upgrade = "swap_speed_multiplier",
				value = 2
		}}
	self.definitions.lmg_swap = {
			category = "feature",
			name_id = "lmg.swap_speed_multiplier",
			upgrade = {
				category = "lmg",
				upgrade = "swap_speed_multiplier",
				value = 1
		}}
	self.definitions.lmg2_swap = {
			category = "feature",
			name_id = "lmg.swap_speed_multiplier",
			upgrade = {
				category = "lmg",
				upgrade = "swap_speed_multiplier",
				value = 2
		}}
	self.definitions.akimbo_swap = {
			category = "feature",
			name_id = "akimbo.swap_speed_multiplier",
			upgrade = {
				category = "akimbo",
				upgrade = "swap_speed_multiplier",
				value = 1
		}}
	self.definitions.akimbo2_swap = {
			category = "feature",
			name_id = "akimbo.swap_speed_multiplier",
			upgrade = {
				category = "akimbo",
				upgrade = "swap_speed_multiplier",
				value = 2
		}}
	self.definitions.smg_swap = {
			category = "feature",
			name_id = "smg.swap_speed_multiplier",
			upgrade = {
				category = "smg",
				upgrade = "swap_speed_multiplier",
				value = 1
		}}
	self.definitions.smg2_swap = {
			category = "feature",
			name_id = "smg.swap_speed_multiplier",
			upgrade = {
				category = "smg",
				upgrade = "swap_speed_multiplier",
				value = 2
		}}
	self.definitions.snp_swap = {
			category = "feature",
			name_id = "snp.swap_speed_multiplier",
			upgrade = {
				category = "snp",
				upgrade = "swap_speed_multiplier",
				value = 1
		}}
	self.definitions.snp2_swap = {
			category = "feature",
			name_id = "snp.swap_speed_multiplier",
			upgrade = {
				category = "snp",
				upgrade = "swap_speed_multiplier",
				value = 2
		}}

		self.definitions.akimbo_damage_boost_1 = {
		category = "feature",
		name_id = "menu_akimbo_damage_addend",
		upgrade = {
			category = "akimbo",
			upgrade = "damage_addend",
			value = 1
		}}

		self.definitions.akimbo_damage_boost_2 = {
		category = "feature",
		name_id = "menu_akimbo_damage_multiplier",
		upgrade = {
			category = "akimbo",
			upgrade = "damage_multiplier",
			value = 1
		}}


-- Weapons accur and stabil

		self.definitions.lmg_spread_index_addend = {
			category = "feature",
			name_id = "lmg_spread_addend",
			upgrade = {
				category = "lmg",
				upgrade = "spread_index_addend",
				value = 1
			}
		}
		self.definitions.lmg_spread_index_addend_2 = {
			category = "feature",
			name_id = "lmg_spread_addend",
			upgrade = {
				category = "lmg",
				upgrade = "spread_index_addend",
				value = 2
			}
		}
		self.definitions.lmg_recoil_index_addend = {
			category = "feature",
			name_id = "lmg_recoil_index_addend",
			upgrade = {
				category = "lmg",
				upgrade = "recoil_index_addend",
				value = 1
			}
		}
		self.definitions.lmg_recoil_index_addend_2 = {
			category = "feature",
			name_id = "lmg_recoil_index_addend",
			upgrade = {
				category = "lmg",
				upgrade = "recoil_index_addend",
				value = 2
			}
		}
		self.definitions.akimbo_spread_index_addend = {
			category = "feature",
			name_id = "akimbo_spread_addend",
			upgrade = {
				category = "akimbo",
				upgrade = "spread_index_addend",
				value = 1
			}
		}
		self.definitions.akimbo_spread_index_addend_2 = {
			category = "feature",
			name_id = "akimbo_spread_addend",
			upgrade = {
				category = "akimbo",
				upgrade = "spread_index_addend",
				value = 2
			}
		}
		self.definitions.assault_rifle_spread_index_addend = {
			category = "feature",
			name_id = "assault_rifle_spread_addend",
			upgrade = {
				category = "assault_rifle",
				upgrade = "spread_index_addend",
				value = 1
			}
		}
		self.definitions.assault_rifle_spread_index_addend_2 = {
			category = "feature",
			name_id = "assault_rifle_spread_addend",
			upgrade = {
				category = "assault_rifle",
				upgrade = "spread_index_addend",
				value = 2
			}
		}
		self.definitions.smg_spread_index_addend = {
			category = "feature",
			name_id = "smg_spread_addend",
			upgrade = {
				category = "smg",
				upgrade = "spread_index_addend",
				value = 1
			}
		}
		self.definitions.smg_spread_index_addend_2 = {
			category = "feature",
			name_id = "smg_spread_addend",
			upgrade = {
				category = "smg",
				upgrade = "spread_index_addend",
				value = 2
			}
		}

		self.definitions.smg_recoil_index_addend = {
			category = "feature",
			name_id = "smg_recoil_index_addend",
			upgrade = {
				category = "smg",
				upgrade = "recoil_index_addend",
				value = 1
			}
		}
		self.definitions.smg_recoil_index_addend_2 = {
			category = "feature",
			name_id = "smg_recoil_index_addend",
			upgrade = {
				category = "smg",
				upgrade = "recoil_index_addend",
				value = 2
			}
		}
		self.definitions.assault_rifle_recoil_index_addend = {
			category = "feature",
			name_id = "assault_rifle_recoil_index_addend",
			upgrade = {
				category = "assault_rifle",
				upgrade = "recoil_index_addend",
				value = 1
			}
		}
		self.definitions.assault_rifle_recoil_index_addend_2 = {
			category = "feature",
			name_id = "assault_rifle_recoil_index_addend",
			upgrade = {
				category = "assault_rifle",
				upgrade = "recoil_index_addend",
				value = 2
			}
		}
		self.definitions.snp_recoil_index_addend = {
			category = "feature",
			name_id = "snp_recoil_index_addend",
			upgrade = {
				category = "snp",
				upgrade = "recoil_index_addend",
				value = 1
			}
		}
		self.definitions.snp_recoil_index_addend_2 = {
			category = "feature",
			name_id = "snp_recoil_index_addend",
			upgrade = {
				category = "snp",
				upgrade = "recoil_index_addend",
				value = 2
			}
		}
		self.definitions.pistol_recoil_index_addend = {
			category = "feature",
			name_id = "pistol_recoil_index_addend",
			upgrade = {
				category = "pistol",
				upgrade = "recoil_index_addend",
				value = 1
			}
		}
		self.definitions.pistol_recoil_index_addend_2 = {
			category = "feature",
			name_id = "pistol_recoil_index_addend",
			upgrade = {
				category = "pistol",
				upgrade = "recoil_index_addend",
				value = 2
			}
		}
		self.definitions.shotgun_spread_index_addend = {
			category = "feature",
			name_id = "shotgun_spread_addend",
			upgrade = {
				category = "shotgun",
				upgrade = "spread_index_addend",
				value = 1
			}
		}
		self.definitions.shotgun_spread_index_addend_2 = {
			category = "feature",
			name_id = "shotgun_spread_addend",
			upgrade = {
				category = "shotgun",
				upgrade = "spread_index_addend",
				value = 2
			}
		}

-- Skills

		self.definitions.Armorminus1 = {
		category = "feature",
		name_id = "menu_player.armor_multiplier",
		upgrade = {
			category = "player",
			upgrade = "armor_multiplier",
			value = 3}}
		self.definitions.Armorminus2 = {
		category = "feature",
		name_id = "menu_player.armor_multiplier",
		upgrade = {
			category = "player",
			upgrade = "armor_multiplier",
			value = 4}}

		self.definitions.Grindr1 = {
		category = "feature",
		name_id = "menu_player.damage_to_hot",
		upgrade = {
			category = "player",
			upgrade = "damage_to_hot",
			value = 6}}
		self.definitions.Grindr2 = {
		category = "feature",
		name_id = "menu_player.damage_to_hot",
		upgrade = {
			category = "player",
			upgrade = "damage_to_hot",
			value = 7}}

		self.definitions.Grindrarmory1 = {
		category = "feature",
		name_id = "menu_player.damage_to_hot_extra_ticks",
		upgrade = {
			category = "player",
			upgrade = "damage_to_hot_extra_ticks",
			value = 4}}

	self.definitions.player_critical_hit_chance_3 = {
		category = "feature",
		incremental = false,
		name_id = "menu_player_critical_hit_chance",
		upgrade = {
			category = "player",
			upgrade = "critical_hit_chance",
			value = 3
		}
	}

end

